PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerHDF5PushGroup

Set the current HDF5 group for output

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode  PetscViewerHDF5PushGroup(PetscViewer viewer, const char name[])

Not collective

### Input Parameters

| viewer | - the PetscViewer
| name | - The group name

Note: The group name being NULL, empty string, or a sequence of all slashes (e.g. "///") is always internally stored as NULL and interpreted as "/".

### See Also

PetscViewerHDF5Open(),PetscViewerHDF5PopGroup(),PetscViewerHDF5GetGroup(),PetscViewerHDF5OpenGroup()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

### Examples

src/vec/vec/tutorials/ex19.c.html
src/snes/tutorials/ex12.c.html
src/tao/tutorials/ex3.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages